Bug 1013844 - Saved password-protected SXW files cannot be opened again
Saved password-protected SXW files cannot be opened again
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
18
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 18:19 EDT by Tim Waugh
Modified: 2013-10-10 22:35 EDT (History)
6 users (show)

See Also:
Fixed In Version: libreoffice-3.6.7.2-4.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-09 10:21:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2013-09-30 18:19:19 EDT
Description of problem:
When saving a file in OpenOffice.org 1.0 Text Document format (.sxw), and choosing to save with a password, that file can no longer be opened even when that password it provided.

Version-Release number of selected component (if applicable):
libreoffice-writer-3.6.7.2-3.fc18

How reproducible:
100%

Steps to Reproduce:
1.Create a new text document and save it as "test.sxw", choosing to set a password.
2.Close Libreoffice Writer.
3.Start it again, and open test.sxw.

Actual results:
"The password is incorrect. The file cannot be opened."

Expected results:
The file should be opened.

Additional info:
Works fine when using ODT format, and seems to work with SXW on Fedora 19. However, SXW files saved using Fedora 18 cannot be opened even on Fedora 19.
Comment 1 Tim Waugh 2013-10-01 05:12:55 EDT
Note: this is effectively a data loss issue.
Comment 2 Caolan McNamara 2013-10-02 05:45:21 EDT
grr, seems that it saves the new encryption format instead of the old one, which would be ok except it doesn't save the digest algorithm so on load the default sha1 is used instead of sha256 which it really is.

Got a local hack to prove that, will have to poke around where we can put something to recover that disaster. Good news is that the docs aren't irretrievable.
Comment 3 Tim Waugh 2013-10-02 06:43:03 EDT
That's good news -- I have a document that it would be fantastic to be able to recover.
Comment 4 Caolan McNamara 2013-10-02 06:56:35 EDT
will roll out updates to f18 onwards to allow those versions to reopen these busted documents
Comment 5 Fedora Update System 2013-10-02 11:06:37 EDT
libreoffice-3.6.7.2-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libreoffice-3.6.7.2-4.fc18
Comment 6 Fedora Update System 2013-10-02 11:54:03 EDT
libreoffice-4.1.2.3-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.1.2.3-2.fc19
Comment 7 Fedora Update System 2013-10-02 21:09:12 EDT
Package libreoffice-3.6.7.2-4.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.6.7.2-4.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18168/libreoffice-3.6.7.2-4.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-10-03 04:18:28 EDT
libreoffice-4.1.2.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.1.2.3-2.fc20
Comment 9 Fedora Update System 2013-10-03 21:56:09 EDT
libreoffice-4.1.2.3-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-10-03 22:05:31 EDT
Package libreoffice-4.1.2.3-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.1.2.3-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18293/libreoffice-4.1.2.3-2.fc20
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2013-10-09 10:21:57 EDT
libreoffice-4.1.2.3-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-10-10 22:35:33 EDT
libreoffice-3.6.7.2-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.